
data:extend(
{
  {
    type = "technology",
    name = "advanced-mining",
    icon_size = 64,
    icon = '__base__/graphics/icons/electric-mining-drill.png',
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "advanced-mining-drill"
      },
	},
	prerequisites = {"advanced-electronics", "steel-processing"},
    unit =
    {
      count = 100,
      ingredients = {
		  {"automation-science-pack", 2},
		  {"logistic-science-pack", 2},
		  {"chemical-science-pack", 1}
		},
      time = 10
    },
    order = "a-b-a"
  },
  {
    type = "technology",
    name = "elite-mining",
    icon_size = 64,
    icon = '__base__/graphics/icons/electric-mining-drill.png',
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "elite-mining-drill"
      },
	},
	prerequisites = {"advanced-electronics-2", "lubricant", "advanced-mining"},
    unit =
    {
      count = 100,
      ingredients = {
		  {"automation-science-pack", 3},
		  {"logistic-science-pack", 3},
		  {"chemical-science-pack", 2},
		  {"utility-science-pack", 1}
		},
      time = 10
    },
    order = "a-b-a"
  },
}
)
